﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ClientInformation.aspx.cs" Inherits="QueueManagerWeb.ClientInformation" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Update client information</title>
    <style type="text/css">
        body
        {
            font-family: Tahoma;
            font-size: 11px;
            margin: 20px;
        }
        h1
        {
            font-size: 13px;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <h1 id="ctlHeader" runat="server">
        Welcome!
    </h1>
    
    <div id="ctlWelcomeText" runat="server" style="margin-bottom:10px">
    You have reached this page because you sent an e-mail to our support. According to our records this is the first
    time you have contacted us and we need to validate your account information. This only happens the first time you contact us.
    </div>

    <div id="ctlThanksText" runat="server" style="margin-bottom:10px" visible="false">
    You information has been updated. You will be contacted shortly regarding your case.
    </div>
    
    <div id="ctlNotFoundText" runat="server" style="margin-bottom:10px" visible="false">
    You have recieved an e-mail with instructions on how to verify your information. For some reason this e-mail cannot be
    located. This normally happens when you wait for more than 2 days to validate your information.<br />If this is the case, please resend your e-mail
    and validate it once you receive the e-mail.<br /><br />
    Alternatively, you have already verified your contact details and a reply to your e-mail should arrive shortly.
    </div>

    <div id="ctlRequiredInfoText" runat="server" style="margin-bottom:10px" visible="false">
    Required information is missing.
    </div>

    <div id="ctlError" runat="server" style="margin-bottom:10px" visible="false">
    An error occurred while processing the request. Please try again in a few minutes.
    </div>
    
    <div id="ctlContainer" runat="server">
        <table cellpadding="0" cellspacing="0">
            <tr>
                <td style="width:170px">
                    First name: *
                </td>
                <td>
                    <asp:TextBox ID="txtFirstName" runat="server" MaxLength="100" Width="200" />
                    <asp:RequiredFieldValidator ID="FNValidate" runat="server" 
                                                ErrorMessage="Please enter your first name." 
                                                ControlToValidate="txtFirstName" 
                                                SetFocusOnError="true"
                                                Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td>
                    Last name: *
                </td>
                <td>
                    <asp:TextBox ID="txtLastName" runat="server" MaxLength="100" Width="200"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="LNValidate" runat="server" 
                                                ErrorMessage="Please enter your last name." 
                                                ControlToValidate="txtLastName" 
                                                SetFocusOnError="true"
                                                Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td>
                    Company name: *
                </td>
                <td>
                    <asp:TextBox ID="txtCompany" runat="server" MaxLength="100" Width="200"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="CompValidate" runat="server" 
                                                ErrorMessage="Please enter the name of the company you work for." 
                                                ControlToValidate="txtCompany" 
                                                SetFocusOnError="true"
                                                Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td>
                    e-mail address: *
                </td>
                <td>
                    <asp:TextBox ID="txtEMail" runat="server" MaxLength="100" Width="250" Enabled="false" />
                </td>
            </tr>
            <tr>
                <td>
                    Alternate e-mail address:
                </td>
                <td>
                    <asp:TextBox ID="txtAltEMail" runat="server" MaxLength="100" Width="250" Enabled="true" />
                    <asp:RegularExpressionValidator ID="AltValidate" runat="server" 
                                                    ErrorMessage="Please specify a valid e-mail adress" 
                                                    ControlToValidate="txtAltEMail" 
                                                    SetFocusOnError="true"
                                                    Display="Dynamic"
                                                    ValidationExpression="^[a-zA-Z][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" />
                </td>
            </tr>
            <tr>
                <td>
                    Job title:
                </td>
                <td>
                    <asp:TextBox ID="txtJobTitle" runat="server" MaxLength="100" Width="250"/>
                </td>
            </tr>
            <tr>
                <td>
                    Mobile phone: *
                </td>
                <td>
                    <asp:TextBox ID="txtMobile" runat="server" MaxLength="100" Width="250" />
                    <asp:RequiredFieldValidator ID="MPValidate" runat="server" 
                                                ErrorMessage="Please enter your mobile phone number." 
                                                ControlToValidate="txtMobile" 
                                                Display="Dynamic" />
                </td>
            </tr>
        </table>
    </div>
    <br />
    <asp:Button ID="cmdSubmit" runat="server" Text="Submit" />
    </form>
</body>
</html>
